%define po_package gnome-session-43

Name:          gnome-session
Version:       43.0
Release:       1
Summary:       GNOME session manager
License:       GPLv2+
URL:           https://gitlab.gnome.org/GNOME/gnome-session
Source0:       https://download.gnome.org/sources/gnome-session/43/%{name}-%{version}.tar.xz

Patch1:        gnome-session-3.3.92-nv30.patch
Patch3:        gnome-session-3.6.2-swrast.patch
Patch4:        0001-check-accelerated-gles-Use-eglGetPlatformDisplay-EXT.patch
Patch5:        0001-Fedora-Set-grub-boot-flags-on-shutdown-reboot.patch

BuildRequires: meson
BuildRequires: gcc
BuildRequires: pkgconfig(egl)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glesv2)
BuildRequires: pkgconfig(gnome-desktop-3.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(systemd)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xau)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xtrans)
BuildRequires: pkgconfig(xtst)
BuildRequires: usermode
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: xmlto
BuildRequires: libxslt

Requires: dconf
Requires: system-logos
Requires: control-center-filesystem
Requires: gsettings-desktop-schemas >= 0.1.7
Requires: dbus
Requires: gnome-shell

Requires: xorg-x11-server-Xorg%{?_isa}
Requires: xorg-x11-server-Xwayland%{?_isa}

Obsoletes: %{name}-xsession < %{version}-%{release}
Provides: %{name}-xsession = %{version}-%{release}
Obsoletes: %{name}-wayland-session < %{version}-%{release}
Provides: %{name}-wayland-session = %{version}-%{release}

%description
This package provides the basic session management tools, ant it  manages a GNOME desktop
or GDM login session.

%package_help

%prep
%autosetup -p1

%build
%meson  \
       -Dsession_selector=true \
       -Dsystemd=true \
       -Dsystemd_journal=true
%meson_build

%install
%meson_install

%find_lang %{po_package}

%ldconfig_scriptlets

%files -f %{po_package}.lang
%license COPYING
%{_bindir}/*
%{_libexecdir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.SessionManager.gschema.xml
%{_datadir}/GConf/gsettings/gnome-session.convert
%{_datadir}/xsessions/*
%{_datadir}/wayland-sessions/*
%{_userunitdir}/gnome-session*
%{_userunitdir}/gnome-launched-.scope.d/

%files help
%doc AUTHORS NEWS README
%doc %{_mandir}/man*/*
%{_datadir}/doc/gnome-session/dbus/gnome-session.html

%changelog
* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 43.0-1
- Update to 43.0

* Tue Mar 22 2022 David King <amigadave@amigadave.com> - 42.0-1
- Update to 42.0

* Mon May 31 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.0-1
- Upgrade to 3.38.0
- Update Version, Release, Source0, Obsoletes
- Modify patches, update stage 'files'

* Fri Apr 3 2020 chenli <chenli147@huawei.com> - 3.30.1-4
- modify spec

* Wed Nov 20 2019 caomeng<caomeng5@huawei.com> - 3.30.1-3
- Package init

* Fri Apr 12 2019 gaoyi<gaoyi15@huawei.com> - 3.30.1-2.h1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Eliminate differences
